Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.content.workflow
Class WorkflowID

    java.lang.Object
      com.bea.portal.tools.resource.ResourceID
          com.bea.portal.tools.resource.framework.TaggedResourceID
              com.bea.portal.tools.content.workflow.WorkflowID

All Implemented Interfaces
  Serializable

    public class WorkflowID

extends com.bea.portal.tools.resource.framework.TaggedResourceID

Identifies a workflow.

See Also
  Serialized Form

Constructor Summary
`WorkflowID(String resourceURN)` Constructor.

Method Summary
`RepositoryID` | `getRepositoryID()` Deprecated use `getRepositoryInRepoModeID()`
`RepositoryInRepoModeID` | `getRepositoryInRepoModeID()` Get the `RepositoryInRepoModeID` of the repository.
`protected WorkflowIDBuilder` | `getResourceIDBuilder()` Get the `WorkflowID`.
`String` | `getWorkflowName()` Get the name of the workflow.
`protected void` | `setResourcePathTags(boolean canonicalResourceURN, com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)`

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceID
`appendResourcePath, getTag, getTags, getTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceID
`appendResourceTypeNamespaceURI, computeResourceURN, computeResourceURN, equals, getCanonicalResourceURN, getResourceEnvironment, getResourceType, getResourceURN, hashCode, narrow, setCanonicalResourceURN, setResourceURN, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkflowID

    public WorkflowID(String resourceURN)

  Constructor.

  Parameters
    `resourceURN` - the URN of the referrent resource

Method Detail

### getResourceIDBuilder

    protected WorkflowIDBuilder getResourceIDBuilder()

  Get the `WorkflowID`.

  Overrides:
    `getResourceIDBuilder` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`
  Returns
    the the `WorkflowID`

### setResourcePathTags

    protected void setResourcePathTags(boolean canonicalResourceURN,
                                       com.bea.portal.tools.resource.framework.TaggedResourceID.TagMap tags)

  Overrides:
    `setResourcePathTags` in class `com.bea.portal.tools.resource.framework.TaggedResourceID`

### getRepositoryID

    public RepositoryID getRepositoryID()

  Deprecated use `getRepositoryInRepoModeID()`

  Get the `RepositoryInRepoModeID` of the repository.

  Returns
    the `RepositoryInRepoModeID` of the repository

### getRepositoryInRepoModeID

    public RepositoryInRepoModeID getRepositoryInRepoModeID()

  Get the `RepositoryInRepoModeID` of the repository.

  Returns
    the `RepositoryInRepoModeID` of the repository

### getWorkflowName

    public String getWorkflowName()

  Get the name of the workflow.

  Returns
    the name of the workflow

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved